import { AutoMap } from '@automapper/classes';
import {
  IsInt,
  IsLatitude,
  IsLongitude,
  IsOptional,
  IsString,
} from 'class-validator';

export class AddressDTO {
  @IsInt()
  @AutoMap()
  position: number;

  @IsLongitude()
  @AutoMap()
  lon: number;

  @IsLatitude()
  @AutoMap()
  lat: number;

  @IsString()
  @IsOptional()
  @AutoMap()
  name?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  houseNumber?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  street?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  locality?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  postalCode?: string;

  @IsString()
  @AutoMap()
  country: string;
}
